Update contract fees

Updates an existing contract fee and recalculates its payment plan while protecting already paid or committed amounts.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

idstringRequired
Contract fee identifier or recurring fee identifier.

Request

This endpoint expects an object.
amountdoubleRequired>=0
fees_planlist of objectsRequired
contract_fees_type_idintegerOptional
contract_idintegerOptional
student_idintegerOptional
due_datedatetimeOptional
of_installmentsintegerOptional
grace_perioddoubleOptional>=0
discountdoubleOptional
contract_fees_period_idintegerOptional
force_updatebooleanOptional

Response

Contract fees were updated successfully.
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error